Subject: bug#64981: GTK4 applications broken (missing libGLESv2)

From: [email-masked]
Date: Wed, 16 Aug 2023 13:51:23 +0000

August 15, 2023 4:48 PM, "Efraim Flashner" <[email-masked]> wrote:

> I've been getting this too, I'm "glad" to see I'm not the only one. If
> I set GSK_RENDERER=cairo (the fallback renderer) then I can launch gtk4
> applications.
> 
> (ins)efraim@pbp ~$ guix shell mesa-utils -- glxinfo | grep 'profile version string'
> OpenGL core profile version string: 3.1 Mesa 23.1.4
> OpenGL ES profile version string: OpenGL ES 3.1 Mesa 23.1.4
> (ins)efraim@pbp ~$ guix shell mesa-utils -- eglinfo | grep -B2 -A1 'version string'

I am also running into this issue. Efraim's suggestion with changing the GSK_RENDERER
to cairo seems to work for me.  I'm on a Thinkpad T400.

joshua@dobby ~ (master)> guix shell mesa-utils -- glxinfo | grep 'profile version string'
OpenGL ES profile version string: OpenGL ES 2.0 Mesa 23.1.4
joshua@dobby ~ (master)> guix shell mesa-utils -- eglinfo | grep -B2 -A1 'version string' 
libEGL warning: failed to open /dev/dri/card0: Permission denied

libEGL warning: failed to open /dev/dri/card0: Permission denied

EGL API version: 1.5
EGL vendor string: Mesa Project
EGL version string: 1.5
EGL client APIs: OpenGL OpenGL_ES 
--
EGL API version: 1.5
EGL vendor string: Mesa Project
EGL version string: 1.5
EGL client APIs: OpenGL OpenGL_ES 
joshua@dobby ~ (master)> 
joshua@dobby ~ (master)> guix describe
Generation 78	Aug 09 2023 10:13:29	(current)
  guix 210bbf9
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 210bbf9c59355218fec1484a686cc2ecdc218506
  guixrus d70a9ea
    repository URL: https://git.sr.ht/~whereiseveryone/guixrus
    branch: master
    commit: d70a9ea65eba43aba3ec7560d797452c01171b85
  nonguix 1a3082c
    repository URL: https://gitlab.com/nonguix/nonguix
    branch: master
    commit: 1a3082c574077aaf6771ff927e725fc390a2d531
joshua@dobby ~ (master)>